{{ if .IsHome }}
  {{ $.Scratch.Set "title" .Site.Title }}
  {{ if .Site.Params.subtitle }}{{ $.Scratch.Set "subtitle" .Site.Params.subtitle }}{{ end }}
  {{ if .Site.Params.bigimg }}{{ $.Scratch.Set "bigimg" .Site.Params.bigimg }}{{ end }}
{{ else }}
  {{ $.Scratch.Set "title" .Title }}
  {{ if .Params.subtitle }}{{ $.Scratch.Set "subtitle" .Params.subtitle }}{{ end }}
  {{ if .Params.bigimg }}{{ $.Scratch.Set "bigimg" .Params.bigimg }}{{ end }}
{{ end }}
{{ $bigimg := $.Scratch.Get "bigimg" }}

{{ if or $bigimg ($.Scratch.Get "title") }}
  <header class="header-section">
    <div class="intro-header no-img">
      {{ $subtitle := $.Scratch.Get "subtitle" }}
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
            <div class="{{ .Type }}-heading">
                {{ if $subtitle }}
                  {{ if eq .Type "page" }}
                    <hr class="small">
                    <span class="{{ .Type }}-subheading">{{ $subtitle }}</span>
                  {{ else }}
                    <h2 class="{{ .Type }}-subheading">{{ $subtitle }}</h2>
                  {{ end }}
                {{ end }}
                {{ if eq .Type "post" }}
                  {{ partial "post_meta.html" . }}
                {{ end }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
{{ else }}
  <div class="intro-header"></div>
{{ end }}
